unit uAdd;

interface

uses uVar;

function CalcX2D( const X : Single ) : Single;
function CalcY2D( const Y : Single ) : Single;

implementation

function CalcX2D( const X : Single ) : Single;
begin
  Result := ( X - SCREEN_WIDTH / 2 ) * ( 1 / SCREEN_WIDTH / 2 );
end;

function CalcY2D( const Y : Single ) : Single;
begin
  Result := ( Y - SCREEN_HEIGHT / 2 ) * ( 1 / SCREEN_HEIGHT / 2 );
end;

end.
